通过


Items - Get Queryable Graph Type (beta)

获取当前的可查询图形类型。

注释

GraphModel 项目前以预览版提供(了解详细信息)。 此 API 是 Beta 版的一部分,仅用于评估和开发目的。 它可能会根据反馈进行更改,不建议将其用于生产。 调用此 API 时,调用方必须指定true为查询参数的值(beta查询参数preview已被替换为 beta。为了向后兼容,preview仍受支持,行为与 beta

此 API 支持 分页

Permissions

调用方必须具有 查看器 工作区角色。 调用方必须具有图形模型的 读取 权限。

所需的委派范围

Workspace.Read.All 或 Workspace.ReadWrite.All

Microsoft Entra支持的标识

此 API 支持本节中列出的Microsoft 标识

身份 Support
用户 是的
服务主体托管标识 是的

接口

GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/graphModels/{graphModelId}/getQueryableGraphType?beta={beta}

URI 参数

名称 必需 类型 说明
graphModelId
path True

string (uuid)

GraphModel ID。

workspaceId
path True

string (uuid)

工作区 ID。

beta
query True

boolean

必须将此必需参数设置为 true 访问此 API,该 API 目前为 beta 版。

响应

名称 类型 说明
200 OK

GraphType

当前可查询图形类型。

429 Too Many Requests

ErrorResponse

超出服务速率限制。 服务器返回一个 Retry-After 标头,指示客户端在发送其他请求之前必须等待的时间(以秒为单位)。

标头

Retry-After: integer

Other Status Codes

ErrorResponse

常见错误代码:

  • ItemNotFound - 找不到请求的项目。

示例

Get queryable graph type example

示例请求

GET https://api.fabric.microsoft.com/v1/workspaces/f089354e-8366-4e18-aea3-4cb4a3a50b48/graphModels/41ce06d1-d81b-4ea0-bc6d-2ce3dd2f8e87/getQueryableGraphType?beta=True

示例响应

{
  "nodeTypes": [
    {
      "alias": "096a5133-fd82-4000-ac8a-404532ab6fd6",
      "primaryKeyProperties": [
        "customerIDK"
      ],
      "labels": [
        "customer"
      ],
      "properties": [
        {
          "name": "customerIDK",
          "type": "INT"
        },
        {
          "name": "firstName",
          "type": "STRING"
        },
        {
          "name": "lastName",
          "type": "STRING"
        },
        {
          "name": "fullName",
          "type": "STRING"
        }
      ]
    },
    {
      "alias": "dced4642-b93d-4da4-815c-a171932043a4",
      "primaryKeyProperties": [
        "productIDK"
      ],
      "labels": [
        "products"
      ],
      "properties": [
        {
          "name": "productIDK",
          "type": "INT"
        },
        {
          "name": "productNumber",
          "type": "STRING"
        },
        {
          "name": "productName",
          "type": "STRING"
        },
        {
          "name": "modelName",
          "type": "STRING"
        },
        {
          "name": "makeFlag",
          "type": "INT"
        },
        {
          "name": "standardCost",
          "type": "FLOAT"
        },
        {
          "name": "listPrice",
          "type": "FLOAT"
        },
        {
          "name": "subCategoryIDFK",
          "type": "INT"
        }
      ]
    }
  ],
  "edgeTypes": [
    {
      "alias": "3ef6a474-ef38-4923-abcf-6f2e9230f1eb",
      "labels": [
        "customerProducts"
      ],
      "sourceNodeType": {
        "alias": "096a5133-fd82-4000-ac8a-404532ab6fd6"
      },
      "destinationNodeType": {
        "alias": "dced4642-b93d-4da4-815c-a171932043a4"
      },
      "properties": []
    }
  ]
}

定义

名称 说明
EdgeType

图形边缘类型。

ErrorRelatedResource

与错误相关的资源详细信息对象。

ErrorResponse

错误响应。

ErrorResponseDetails

错误响应详细信息。

GraphType

指定图形结构的图形类型。

NodeType

图形节点类型。

NodeTypeReference

对节点类型的引用。

Property

图形元素属性。

EdgeType

图形边缘类型。

名称 类型 说明
alias

string

边缘类型别名。

destinationNodeType

NodeTypeReference

目标节点类型。

labels

string[]

边缘类型标签。

properties

Property[]

边缘类型属性的列表。

sourceNodeType

NodeTypeReference

源节点类型。

ErrorRelatedResource

与错误相关的资源详细信息对象。

名称 类型 说明
resourceId

string

错误中涉及的资源 ID。

resourceType

string

错误中涉及的资源的类型。

ErrorResponse

错误响应。

名称 类型 说明
errorCode

string

提供有关错误条件的信息的特定标识符,允许服务与其用户之间的标准化通信。

message

string

错误的人工可读表示形式。

moreDetails

ErrorResponseDetails[]

其他错误详细信息的列表。

relatedResource

ErrorRelatedResource

与错误相关的资源详细信息。

requestId

string (uuid)

与错误关联的请求的 ID。

ErrorResponseDetails

错误响应详细信息。

名称 类型 说明
errorCode

string

提供有关错误条件的信息的特定标识符,允许服务与其用户之间的标准化通信。

message

string

错误的人工可读表示形式。

relatedResource

ErrorRelatedResource

与错误相关的资源详细信息。

GraphType

指定图形结构的图形类型。

名称 类型 说明
edgeTypes

EdgeType[]

图形边缘类型的列表。

nodeTypes

NodeType[]

图形节点类型的列表。

NodeType

图形节点类型。

名称 类型 说明
alias

string

节点类型别名。

labels

string[]

节点类型标签。

primaryKeyProperties

string[]

节点类型主键属性的列表。

properties

Property[]

节点类型属性的列表。

NodeTypeReference

对节点类型的引用。

名称 类型 说明
alias

string

节点类型别名。

Property

图形元素属性。

名称 类型 说明
name

string

属性名称。

type

string

属性类型。